table:
  name: users
  schema: public
array_relationships:
  - name: associations
    using:
      foreign_key_constraint_on:
        column: email
        table:
          name: associations
          schema: public
insert_permissions:
  - role: user
    permission:
      check: {}
      columns:
        - email
        - authid
        - created_at
        - updated_at
select_permissions:
  - role: user
    permission:
      columns:
        - authid
        - created_at
        - email
        - id
        - updated_at
      filter:
        authid:
          _eq: X-Hasura-User-Id
update_permissions:
  - role: user
    permission:
      columns:
        - authid
      filter:
        authid:
          _eq: X-Hasura-User-Id
      check: null
